#!/usr/bin/env bash
#
# ...
#
# 使用方法:
# URL="https://git.1-h.cc/Scripts/Linux/raw/branch/main/upgrade.sh"; curl -fsSL "$URL" | bash || wget -q -O - "$URL" | bash

if [ -f /etc/debian_version ]; then
  SYSTEM_TYPE="debian"
  source <(curl -fsSL git.1-h.cc/Scripts/Linux/raw/branch/main/debian/upgrade.sh)
elif [ -f /etc/alpine-release ]; then
  SYSTEM_TYPE="alpine"
  source <(curl -fsSL git.1-h.cc/Scripts/Linux/raw/branch/main/alpine/upgrade.sh)
else
  echo "不支持的系统类型"
  exit 1
fi